Ce forum est en partie financé par l’affichage de publicités. Merci de désactiver votre bloqueur de publicités pour nous permettre de continuer à fournir ce service.
  1. Ce site utilise des cookies. En continuant à utiliser ce site, vous acceptez l'utilisation des cookies. En savoir plus.

Mamp : impossible de lancer apache sous sierra

Discussion dans 'Développement web' créé par foufouner1977, 13 Mai 2017.

Modérateurs: Nephou
  1. foufouner1977

    foufouner1977 Membre confirmé

    Inscrit:
    28 Mars 2015
    Messages:
    109
    J'aime reçus:
    3
    Bonjour
    J'ai mis mon MBP à jours avec sierra,seulement lorsque lance Mamp,mysql se lance bien mais pas apache !

    Dans le terminale j'ai tapé "sudo apachectl start" et quand je tape http://localhost/ j'ai bien le "It works!" mais avec Mamp non !

    [​IMG] [​IMG]
    Ma config : MacBook Pro (17 pouces, mi-2010),processeur 2,53 GHz Intel Core i5,sierra 10.12.3,Mamp 2.2
    [​IMG]
     
    #1 foufouner1977, 13 Mai 2017
    Dernière édition: 13 Mai 2017
  2. Locke

    Locke What am I doing here?
    Modérateur Club MacG

    Inscrit:
    20 Juillet 2011
    Messages:
    18 956
    J'aime reçus:
    1 686
    Il faudrait te mettre à jour, car ça à beaucoup changé depuis la version 2.2 de 2013. Actuellement c'est la version 4.1.1... https://www.mamp.info/en/downloads/
     
  3. foufouner1977

    foufouner1977 Membre confirmé

    Inscrit:
    28 Mars 2015
    Messages:
    109
    J'aime reçus:
    3
    #3 foufouner1977, 13 Mai 2017
    Dernière édition: 13 Mai 2017
  4. Locke

    Locke What am I doing here?
    Modérateur Club MacG

    Inscrit:
    20 Juillet 2011
    Messages:
    18 956
    J'aime reçus:
    1 686
    Il faut activer le bouton Servers pour que ça soit actif, sinon ça restera en grisé. ;)

    Capture d’écran 2017-05-13 à 14.18.22.jpg Capture d’écran 2017-05-13 à 14.18.32.jpg
     
    #4 Locke, 13 Mai 2017
    Dernière édition: 13 Mai 2017
  5. foufouner1977

    foufouner1977 Membre confirmé

    Inscrit:
    28 Mars 2015
    Messages:
    109
    J'aime reçus:
    3
    oui mais là tu es sur une version PRO Locke ! Concernant mon problème de PhPMyadmin avec la version 4 j'ai trouvé le problème,il faut utiliser PhP 7.0.1 sinon PhPMyadmin ne ce lance pas
     
  6. Locke

    Locke What am I doing here?
    Modérateur Club MacG

    Inscrit:
    20 Juillet 2011
    Messages:
    18 956
    J'aime reçus:
    1 686
    Comme quoi, la version gratuite à ses limites et travailler avec avec ne facilite pas la tâche si on s'occupe de créer un site ou forum et d'en faire la maintenance. ;)
     
  7. luc1en

    luc1en Membre émérite

    Inscrit:
    19 Août 2011
    Messages:
    761
    J'aime reçus:
    75
    Bonjour,

    étrange. MAMP et MAMP PRO contiennent la même version phpMyAdmin 4.6.5.2.
    Les deux ont aussi en commun les versions PHP 7.0.15 & 7.1.1.
    Pourquoi dans un cas, ça fonctionne et pas l'autre ?
     
  8. Locke

    Locke What am I doing here?
    Modérateur Club MacG

    Inscrit:
    20 Juillet 2011
    Messages:
    18 956
    J'aime reçus:
    1 686
    En effet, c'est étrange, je viens de tester la version non Pro et c'est bien actif par défaut...

    Capture d’écran 2017-05-14 à 09.32.39.jpg
     
  9. luc1en

    luc1en Membre émérite

    Inscrit:
    19 Août 2011
    Messages:
    761
    J'aime reçus:
    75
    J'ai peut-être trouvé la parade, ou résolu involontairement le problème.

    L'application MAMP étant lancée et les serveurs activés, j'ai changé la version PHP dans les préférences pour remettre la 7.1.1.
    MAMP relance les serveurs.

    PHPmyAdmin reste fonctionnel seulement si on y accède par le lien direct
    http://localhost:8888/phpMyAdmin/?lang=fr !

    Par contre, l'entrée de menu de la page http://localhost:8888/MAMP/?language=French est inactive.

    À l'intuition, le problème se trouve peut-être dans le fichier
    Code (Text):
    /Applications/MAMP/bin/mamp/index.php
    qui teste la version active de PHP.
     
  10. luc1en

    luc1en Membre émérite

    Inscrit:
    19 Août 2011
    Messages:
    761
    J'aime reçus:
    75
    Je reviens après quelques tests.

    Il semble bien que MAMP 4.1.1 soit incompatible avec PHP 7.1.1, bien que le choix soit proposé.
    J'ai fait quelques tests rapides avec divers systèmes, Piwigo par exemple rencontre des erreurs avec Php 7.1.1.

    C'est peut-être une des différences entre MAMP (gratuit) et MAMP PRO (payant).

    La documentation ne me semble pas claire sur ce point, plusieurs échanges de même nature ont été postés sur stackoverflow.
    Voir https://stackoverflow.com/search?tab=newest&q=MAMP and phpmyadmin
     
  11. Locke

    Locke What am I doing here?
    Modérateur Club MacG

    Inscrit:
    20 Juillet 2011
    Messages:
    18 956
    J'aime reçus:
    1 686
    Hé non, tu n'as pas perdu ton temps, car je viens de faire le même constat.
     
Modérateurs: Nephou

Partager cette page

Chargement...

iOccasion - Achetez un produit Apple d'occasion

refurb Apple